# Metalib

Libraries for Metal makers

- [Index](./docs/Topics.md)
- [Documentation](./docs/metalib.scad.md)


## Miter tubes module


This module generates a sequence of mitered tubes based on the provided section lengths, with options for customizing their dimensions and unfolding their arrangement.

Parameters:
- `sections` (array): An array of section lengths, each specifying the length of an individual tube.
    Example: `[10, 20, 30]` will create three tubes of lengths 10, 20, and 30 units respectively.
 
- `height` (number): The height of each tube. This value defines the dimension perpendicular
   to the tube's length and depth.

- `depth` (number): The depth of each tube. This value defines the dimension perpendicular
   to the tube's length and height.

- `unfold` (boolean, optional): Determines whether the sequence of tubes should be unfolded
   for easier visualization or fabrication. When `true`, the tubes are laid out in a flat arrangement.
   Defaults to `false`.

As an example let's create metalon arch : 
```python
include <BOSL2/std.scad>;
include <Metalib/metalib.scad>;

yrot(-90) 
	miter_tubes([400,500,400],30,20,start=false,end=false);
```


![](./resources/arch.png)



